# $Revision: 1.11 $, $Date: 2006/04/05 13:53:35 $
Summary:	An image processing library
Summary(pl):	Biblioteka przetwarzania obrazw
Name:		vips
Version:	7.10.10
Release:	3
License:	LGPL
Group:		Libraries
Source0:	http://www.vips.ecs.soton.ac.uk/%{name}-7.10/%{name}-%{version}.tar.gz
# Source0-md5:	5fa724406ff4e9ca9839d5f51bd391ad
URL:		http://www.vips.ecs.soton.ac.uk/
BuildRequires:	ImageMagick-devel >= 1:6.2.4.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	fftw3-devel >= 3.0.0
BuildRequires:	glib2-devel >= 2.4.0
BuildRequires:	imlib-devel
BuildRequires:	intltool
BuildRequires:	lcms-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libltdl-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	pango-devel
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
VIPS is an image processing library. It is good for very large images
(ie. larger than the amount of RAM in your machine), and for working
with colour. It includes a C++ API, complete man pages, a command-line
interface, automatic threading and an operation database. There are
several user interfaces built on top of VIPS: for example "nip".

%description -l pl
VIPS jest bibliotek przetwarzania obrazw. Jest dobra dla bardzo
duych obrazw (to znaczy wikszych ni ilo RAM w komputerze), oraz
do pracy z kolorami. Zawiera API w C++, kompletne strony pomocy man,
interfejs linii polece, automatyczne wtkowanie i baz danych
operacji. Jest kilka interfejsw uytkownika zbudowanych na podstawie
VIPS, na przykad "nip".

%package devel
Summary:	Header files for vips library
Summary(pl):	Pliki nagwkowe biblioteki vips
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for vips library.

%description devel -l pl
Pliki nagwkowe biblioteki vips.

%package static
Summary:	Static vips library
Summary(pl):	Statyczna biblioteka vips
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static vips library.

%description static -l pl
Statyczna biblioteka vips.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%doc doc/html/refguide doc/html/appguide
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_datadir}/%{name}
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc doc/html/cppguide doc/html/libguide
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/%{name}
%{_pkgconfigdir}/*.pc
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vips.spec,v $
Revision 1.11  2006/04/05 13:53:35  hawk
- release 3 (rebuild with new ImageMagick)

Revision 1.10  2005/10/03 18:09:59  arekm
- br new imagemagick

Revision 1.9  2005/06/27 02:32:24  undefine
- up to 7.10.10

Revision 1.8  2005/01/20 18:17:04  paladine
- updated to 7.10.8, STBR

Revision 1.7  2004/12/11 01:20:33  adamg
- BuildRequires: intltool

Revision 1.6  2004/12/11 01:19:41  adamg
- updated to 7.10.7

Revision 1.5  2004/12/11 00:57:01  ankry
- rel. 2

Revision 1.4  2004/11/08 21:19:56  qboosh
- some BRed versions, removed some only indirectly used BRs

Revision 1.3  2004/11/08 21:11:28  qboosh
- cleanups, pl fix

Revision 1.2  2004/11/07 23:49:06  undefine
- argh. stupid distfiles

Revision 1.1  2004/11/07 23:46:48  undefine
- initital pld version
